

//--**1. Insert a placeholder for the order total display : ( Insert -> Text ). Enter 0 there. Rename its Item ID to total

// -- **2. custom_functions.js

					///----------------- VenteProduit--------------------------
var sellDetailsTable = 'ligneventeproduit';
function setSellTotal( value, pageObj ) {
   //    update totals if the 'totals' element is inserted into the master page
    pageObj.findItem('TotalVente').text( parseFloat(value).toFixed(0) );
 
   //    update totals if the 'totals' element is inserted into the details page
   var detailsPage = pageObj.getDetailsPage(sellDetailsTable);
    detailsPage.findItem('TotalVente').text( parseFloat(value).toFixed(0) );
}
 
function updateSellTotal( pageObj ) {
   var detailsPage = pageObj.getDetailsPage(sellDetailsTable);
   if( !detailsPage ) 
       return;
   var records = detailsPage.getAllRecords();
 
   // actual calculation. Multiply Quantity by UnitPrice and sum the results.
   // total = sum( Quantity * UnitPrice )
   var total = 0;
    records.forEach( function( r ) {
      total +=number_format((( parseFloat( r.getFieldValue('QuantiteVente') ) || 0 ) * ( parseFloat( r.getFieldValue('PrixUnitaire') ) || 0 )), 0, ',', ' ');
    });
    setSellTotal( total, pageObj );
}

//.number_format($data01['RecetteCarburant'], 0, ',', ' ')


//--**3. Sell ( master ) - Edit page - Javascript OnLoad event
//---Code :  updateSellTotal( pageObj ); --------------------///

//--**4. Order Details ( details) - List page - Javascript OnLoad event
/*

		pageObj.updateTotals = function() {
			var masterPage = pageObj.getMasterPage();
			if( masterPage )   
				  updateSellTotal( masterPage );
		}
		 
		this.on('afterInlineEdit', pageObj.updateTotals );
		this.on('afterInlineAdd', pageObj.updateTotals );
		 
		pageObj.updateTotals();

*/


//--**5. Order Details - Field events/
//--Select the change event and add a new event handler. --Add this code to the Client Before event:
/*
	if( pageObj.updateTotals ) {   
		 pageObj.updateTotals();
	}
return false;

*/


					///----------------- VenteLubrifiant--------------------------
var sellLubDetailsTable = 'ligneventelubrifiant';
function setSellLubTotal( value, pageObj ) {
   //    update totals if the 'totals' element is inserted into the master page
    pageObj.findItem('TotalVenteLub').text( parseFloat(value).toFixed(0) );
 
   //    update totals if the 'totals' element is inserted into the details page
   var detailsPage = pageObj.getDetailsPage(sellLubDetailsTable);
    detailsPage.findItem('TotalVenteLub').text( parseFloat(value).toFixed(0) );
}
 
function updateSellLubTotal( pageObj ) {
   var detailsPage = pageObj.getDetailsPage(sellLubDetailsTable);
   if( !detailsPage ) 
       return;
   var records = detailsPage.getAllRecords();
 
   // actual calculation. Multiply Quantity by UnitPrice and sum the results.
   // total = sum( Quantity * UnitPrice )
   var total0 = 0;
    records.forEach( function( r ) {
      total0 +=(( parseFloat( r.getFieldValue('QuantiteVente') ) || 0 ) * ( parseFloat( r.getFieldValue('PrixUnitaire') ) || 0 ));
    });
    setSellLubTotal( total0, pageObj );
}

					///----------------- VenteService--------------------------
var sellServDetailsTable = 'ligneventeservice';
function setSellServTotal( value, pageObj ) {
   //    update totals if the 'totals' element is inserted into the master page
    pageObj.findItem('TotalVenteService').text( parseFloat(value).toFixed(0) );
 
   //    update totals if the 'totals' element is inserted into the details page
   var detailsPage = pageObj.getDetailsPage(sellServDetailsTable);
    detailsPage.findItem('TotalVenteService').text( parseFloat(value).toFixed(0) );
}
 
function updateSellServTotal( pageObj ) {
   var detailsPage = pageObj.getDetailsPage(sellServDetailsTable);
   if( !detailsPage ) 
       return;
   var records = detailsPage.getAllRecords();
 
   // actual calculation. Multiply Quantity by UnitPrice and sum the results.
   // total = sum( Quantity * UnitPrice )
   var total2 = 0;
    records.forEach( function( r ) {
      total2 +=(( parseFloat( r.getFieldValue('QuantiteVente') ) || 0 ) * ( parseFloat( r.getFieldValue('PrixUnitaire') ) || 0 ));
    });
    setSellServTotal( total2, pageObj );
}


					///----------------- AchatProduit--------------------------
var AchatDetailsTable = 'ligne_achat';
function setBuyTotal( value, pageObj ) {
   //    update totals if the 'totals' element is inserted into the master page
    pageObj.findItem('TotalAchat').text( parseFloat(value).toFixed(0) );
 
   //    update totals if the 'totals' element is inserted into the details page
   var detailsPage = pageObj.getDetailsPage(AchatDetailsTable);
    detailsPage.findItem('TotalAchat').text( parseFloat(value).toFixed(0) );
}
 
function updateBuyTotal( pageObj ) {
   var detailsPage = pageObj.getDetailsPage(AchatDetailsTable);
   if( !detailsPage ) 
       return;
   var records = detailsPage.getAllRecords();
 
   // actual calculation. Multiply Quantity by UnitPrice and sum the results.
   // total = sum( Quantity * UnitPrice )
   var total3 = 0;
    records.forEach( function( r ) {
      total3 +=( parseFloat( r.getFieldValue('QteAchete') ) || 0 ) * ( parseFloat( r.getFieldValue('PrixUnitaire') ) || 0 );
    });
    setBuyTotal( total3, pageObj );
}