<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");


require_once("include/dbcommon.php");
require_once('classes/menupage.php');


Security::processLogoutRequest();
if( !isLogged() || Security::isGuest() ) 
{
	Security::tryRelogin();
}

if( !isLogged() )
{
	HeaderRedirect("login");
	return;
}


if (($_SESSION["MyURL"] == "") || (!Security::isGuest())) {
	Security::saveRedirectURL();
}


require_once('include/xtempl.php');
require_once(getabspath("classes/cipherer.php"));

include_once(getabspath("include/station_events.php"));
$tableEvents["station"] = new eventclass_station;
include_once(getabspath("include/pompe_events.php"));
$tableEvents["pompe"] = new eventclass_pompe;
include_once(getabspath("include/cuve_events.php"));
$tableEvents["cuve"] = new eventclass_cuve;
include_once(getabspath("include/prixcarburant_events.php"));
$tableEvents["prixcarburant"] = new eventclass_prixcarburant;
include_once(getabspath("include/utilisateur_events.php"));
$tableEvents["utilisateur"] = new eventclass_utilisateur;
include_once(getabspath("include/vue_utilisateur_events.php"));
$tableEvents["vue_utilisateur"] = new eventclass_vue_utilisateur;
include_once(getabspath("include/lignecommande_events.php"));
$tableEvents["lignecommande"] = new eventclass_lignecommande;
include_once(getabspath("include/prixachat_events.php"));
$tableEvents["prixachat"] = new eventclass_prixachat;
include_once(getabspath("include/carburant_achat_events.php"));
$tableEvents["carburant_achat"] = new eventclass_carburant_achat;
include_once(getabspath("include/commande_events.php"));
$tableEvents["commande"] = new eventclass_commande;
include_once(getabspath("include/jaugecuve_events.php"));
$tableEvents["jaugecuve"] = new eventclass_jaugecuve;
include_once(getabspath("include/req_test_events.php"));
$tableEvents["req_test"] = new eventclass_req_test;
include_once(getabspath("include/vue_commande_events.php"));
$tableEvents["vue_commande"] = new eventclass_vue_commande;
include_once(getabspath("include/last_index_pompe_events.php"));
$tableEvents["last_index_pompe"] = new eventclass_last_index_pompe;
include_once(getabspath("include/personnel_events.php"));
$tableEvents["personnel"] = new eventclass_personnel;
include_once(getabspath("include/etat_stock_cuve_events.php"));
$tableEvents["etat_stock_cuve"] = new eventclass_etat_stock_cuve;
include_once(getabspath("include/vue_station_events.php"));
$tableEvents["vue_station"] = new eventclass_vue_station;
include_once(getabspath("include/vue_personnel_events.php"));
$tableEvents["vue_personnel"] = new eventclass_vue_personnel;
include_once(getabspath("include/pompistes_events.php"));
$tableEvents["pompistes"] = new eventclass_pompistes;
include_once(getabspath("include/recette_journaliere_events.php"));
$tableEvents["recette_journaliere"] = new eventclass_recette_journaliere;
include_once(getabspath("include/mouvement_caisse_events.php"));
$tableEvents["mouvement_caisse"] = new eventclass_mouvement_caisse;
include_once(getabspath("include/bank_out_events.php"));
$tableEvents["bank_out"] = new eventclass_bank_out;
include_once(getabspath("include/ormoney_out_events.php"));
$tableEvents["ormoney_out"] = new eventclass_ormoney_out;
include_once(getabspath("include/gest_ormoney_out_events.php"));
$tableEvents["gest_ormoney_out"] = new eventclass_gest_ormoney_out;
include_once(getabspath("include/index_pompe_events.php"));
$tableEvents["index_pompe"] = new eventclass_index_pompe;
include_once(getabspath("include/transactions_events.php"));
$tableEvents["transactions"] = new eventclass_transactions;
include_once(getabspath("include/suivi_banque_events.php"));
$tableEvents["suivi_banque"] = new eventclass_suivi_banque;
include_once(getabspath("include/suivi_tpe_events.php"));
$tableEvents["suivi_tpe"] = new eventclass_suivi_tpe;
include_once(getabspath("include/suivi_ormoney_events.php"));
$tableEvents["suivi_ormoney"] = new eventclass_suivi_ormoney;
include_once(getabspath("include/suivi_creance_events.php"));
$tableEvents["suivi_creance"] = new eventclass_suivi_creance;
include_once(getabspath("include/suivi_caisse_events.php"));
$tableEvents["suivi_caisse"] = new eventclass_suivi_caisse;
include_once(getabspath("include/etat_vente_pompe_events.php"));
$tableEvents["etat_vente_pompe"] = new eventclass_etat_vente_pompe;
include_once(getabspath("include/suivi_vente_jour_events.php"));
$tableEvents["suivi_vente_jour"] = new eventclass_suivi_vente_jour;
include_once(getabspath("include/etat_vente_pompe_gest_events.php"));
$tableEvents["etat_vente_pompe_gest"] = new eventclass_etat_vente_pompe_gest;
include_once(getabspath("include/personnel_sorti_events.php"));
$tableEvents["personnel_sorti"] = new eventclass_personnel_sorti;
include_once(getabspath("include/suivi_depenses_events.php"));
$tableEvents["suivi_depenses"] = new eventclass_suivi_depenses;
include_once(getabspath("include/les_transactions_events.php"));
$tableEvents["les_transactions"] = new eventclass_les_transactions;
include_once(getabspath("include/suivi_vente_par_jour_gerant_events.php"));
$tableEvents["suivi_vente_par_jour_gerant"] = new eventclass_suivi_vente_par_jour_gerant;
include_once(getabspath("include/famille_events.php"));
$tableEvents["famille"] = new eventclass_famille;
include_once(getabspath("include/article_produit_events.php"));
$tableEvents["article_produit"] = new eventclass_article_produit;
include_once(getabspath("include/article_service_events.php"));
$tableEvents["article_service"] = new eventclass_article_service;
include_once(getabspath("include/article_all_events.php"));
$tableEvents["article_all"] = new eventclass_article_all;
include_once(getabspath("include/report_stocks_events.php"));
$tableEvents["Report_stocks"] = new eventclass_report_stocks;
include_once(getabspath("include/vue_client_events.php"));
$tableEvents["vue_client"] = new eventclass_vue_client;
include_once(getabspath("include/venteservice_events.php"));
$tableEvents["venteservice"] = new eventclass_venteservice;
include_once(getabspath("include/ligneventeservice_events.php"));
$tableEvents["ligneventeservice"] = new eventclass_ligneventeservice;
include_once(getabspath("include/client_events.php"));
$tableEvents["client"] = new eventclass_client;
include_once(getabspath("include/achat_events.php"));
$tableEvents["achat"] = new eventclass_achat;
include_once(getabspath("include/choix_article_service_events.php"));
$tableEvents["choix_article_service"] = new eventclass_choix_article_service;
include_once(getabspath("include/choix_article_produit_events.php"));
$tableEvents["choix_article_produit"] = new eventclass_choix_article_produit;
include_once(getabspath("include/mouvement_stock_events.php"));
$tableEvents["mouvement_stock"] = new eventclass_mouvement_stock;
include_once(getabspath("include/fournisseur_events.php"));
$tableEvents["fournisseur"] = new eventclass_fournisseur;
include_once(getabspath("include/ligne_achat_events.php"));
$tableEvents["ligne_achat"] = new eventclass_ligne_achat;
include_once(getabspath("include/codebarre_choix_events.php"));
$tableEvents["codebarre_choix"] = new eventclass_codebarre_choix;
include_once(getabspath("include/caisse_carburant_events.php"));
$tableEvents["Caisse_carburant"] = new eventclass_caisse_carburant;
include_once(getabspath("include/caisse_depenses_events.php"));
$tableEvents["caisse_depenses"] = new eventclass_caisse_depenses;
include_once(getabspath("include/ventelubrifiants_events.php"));
$tableEvents["ventelubrifiants"] = new eventclass_ventelubrifiants;
include_once(getabspath("include/ligneventelubrifiant_events.php"));
$tableEvents["ligneventelubrifiant"] = new eventclass_ligneventelubrifiant;
include_once(getabspath("include/bank_in_versement_events.php"));
$tableEvents["bank_in_versement"] = new eventclass_bank_in_versement;
include_once(getabspath("include/bank_apport_perso_events.php"));
$tableEvents["bank_apport_perso"] = new eventclass_bank_apport_perso;
include_once(getabspath("include/ormoney_in_events.php"));
$tableEvents["ormoney_in"] = new eventclass_ormoney_in;
include_once(getabspath("include/maj_stock_events.php"));
$tableEvents["maj_stock"] = new eventclass_maj_stock;
include_once(getabspath("include/req_testcaisse_events.php"));
$tableEvents["req_testcaisse"] = new eventclass_req_testcaisse;
include_once(getabspath("include/vente_par_pompe_events.php"));
$tableEvents["vente_par_pompe"] = new eventclass_vente_par_pompe;
include_once(getabspath("include/controle_stock_carburant_events.php"));
$tableEvents["controle_stock_carburant"] = new eventclass_controle_stock_carburant;
include_once(getabspath("include/tdb_controle_stock_events.php"));
$tableEvents["tdb_controle_stock"] = new eventclass_tdb_controle_stock;
include_once(getabspath("include/tdb_vente_par_pompe_events.php"));
$tableEvents["tdb_vente_par_pompe"] = new eventclass_tdb_vente_par_pompe;
include_once(getabspath("include/ecart_pompiste_events.php"));
$tableEvents["ecart_pompiste"] = new eventclass_ecart_pompiste;
include_once(getabspath("include/tpe_in_events.php"));
$tableEvents["tpe_in"] = new eventclass_tpe_in;
include_once(getabspath("include/gestion_creances_events.php"));
$tableEvents["gestion_creances"] = new eventclass_gestion_creances;
include_once(getabspath("include/credit_in_events.php"));
$tableEvents["credit_in"] = new eventclass_credit_in;
include_once(getabspath("include/vente_lubrifiant_events.php"));
$tableEvents["vente_lubrifiant"] = new eventclass_vente_lubrifiant;
include_once(getabspath("include/les_soldes_events.php"));
$tableEvents["les_soldes"] = new eventclass_les_soldes;
include_once(getabspath("include/les_soldes_report_events.php"));
$tableEvents["les_soldes_report"] = new eventclass_les_soldes_report;
include_once(getabspath("include/compte_frs_events.php"));
$tableEvents["compte_frs"] = new eventclass_compte_frs;
include_once(getabspath("include/le_compte_frs_events.php"));
$tableEvents["le_compte_frs"] = new eventclass_le_compte_frs;
include_once(getabspath("include/frs_autre_achat_events.php"));
$tableEvents["frs_autre_achat"] = new eventclass_frs_autre_achat;
include_once(getabspath("include/frs_autre_regt_events.php"));
$tableEvents["frs_autre_regt"] = new eventclass_frs_autre_regt;
include_once(getabspath("include/mois_vente_par_pompe_events.php"));
$tableEvents["mois_vente_par_pompe"] = new eventclass_mois_vente_par_pompe;
include_once(getabspath("include/mois_ecart_carburant_events.php"));
$tableEvents["mois_ecart_carburant"] = new eventclass_mois_ecart_carburant;
include_once(getabspath("include/mois_tdb_events.php"));
$tableEvents["mois_tdb"] = new eventclass_mois_tdb;
include_once(getabspath("include/mois_tdb_gerant_events.php"));
$tableEvents["mois_tdb_gerant"] = new eventclass_mois_tdb_gerant;
include_once(getabspath("include/valorisation_stock_events.php"));
$tableEvents["valorisation_stock"] = new eventclass_valorisation_stock;
include_once(getabspath("include/date_stock_events.php"));
$tableEvents["date_stock"] = new eventclass_date_stock;
include_once(getabspath("include/valeur_stock_events.php"));
$tableEvents["valeur_stock"] = new eventclass_valeur_stock;
include_once(getabspath("include/vente_lubrifiant_gaz_events.php"));
$tableEvents["vente_lubrifiant_gaz"] = new eventclass_vente_lubrifiant_gaz;
include_once(getabspath("include/exo_select_events.php"));
$tableEvents["exo_select"] = new eventclass_exo_select;
include_once(getabspath("include/exo_change_events.php"));
$tableEvents["exo_change"] = new eventclass_exo_change;
include_once(getabspath("include/bilan_events.php"));
$tableEvents["bilan"] = new eventclass_bilan;
include_once(getabspath("include/date_bilan_events.php"));
$tableEvents["date_bilan"] = new eventclass_date_bilan;
include_once(getabspath("include/relevepompe_events.php"));
$tableEvents["relevepompe"] = new eventclass_relevepompe;
include_once(getabspath("include/db_index_pompe_events.php"));
$tableEvents["db_index_pompe"] = new eventclass_db_index_pompe;
include_once(getabspath("include/db_relevepompe_events.php"));
$tableEvents["db_relevepompe"] = new eventclass_db_relevepompe;
include_once(getabspath("include/partenaire_events.php"));
$tableEvents["partenaire"] = new eventclass_partenaire;
include_once(getabspath("include/select_station_events.php"));
$tableEvents["select_station"] = new eventclass_select_station;
include_once(getabspath("include/bouteillegaz_events.php"));
$tableEvents["bouteillegaz"] = new eventclass_bouteillegaz;
include_once(getabspath("include/rapport_creance_events.php"));
$tableEvents["rapport_creance"] = new eventclass_rapport_creance;
include_once(getabspath("include/rapport_creanceclient_events.php"));
$tableEvents["rapport_creanceclient"] = new eventclass_rapport_creanceclient;
include_once(getabspath("include/rapport_creancepompiste_events.php"));
$tableEvents["rapport_creancepompiste"] = new eventclass_rapport_creancepompiste;
include_once(getabspath("include/select_station_change_events.php"));
$tableEvents["select_station_change"] = new eventclass_select_station_change;

$xt = new Xtempl();

//array of params for classes
$params = array();
$params["id"] = postvalue_number("id"); 
$params["xt"] = &$xt;
$params["tName"] = GLOBAL_PAGES;
$params["pageType"] = PAGE_MENU;
$params["isGroupSecurity"] = $isGroupSecurity;
$params["needSearchClauseObj"] = false;
$params["pageName"] = postvalue("page"); 

$pageObject = new MenuPage($params);
$pageObject->init();

$pageObject->process();
?>